The Last Sword You Will Ever Need Mod 1.7.10 adds as it says the last sword you will ever need. It is a sword that can one hit KO the Ender Dragon.

The-Last-Sword-You-Will-Ever-Need-Mod.jpg

Mod Showcase:

Recipes:

The-Last-Sword-You-Will-Ever-Need-Mod-1.jpg

How to install The Last Sword You Will Ever Need Mod 1.7.10

  • Download and install Minecraft Forge.
  • Download the mod.
  • Go to %appdata%.
  • Go to .minecraft/mods folder.
  • Drag and drop the downloaded jar (zip) file into it.
  • If one does not exist you can create one.
  • Enjoy the mod.

Download Links for The Last Sword You Will Ever Need Mod 1.7.10

For 1.6.4

http://www.dl2.9minecraft.net/index.php?act=dl&id=1408243598

http://www.dl6.9minecraft.net/index.php?act=dl&id=1408243473

For 1.7.2

http://www.dl2.9minecraft.net/index.php?act=dl&id=1408243619

http://www.dl6.9minecraft.net/index.php?act=dl&id=1408243497

For 1.7.10

http://www.dl2.9minecraft.net/index.php?act=dl&id=1413955128

http://www.dl6.9minecraft.net/index.php?act=dl&id=1413969409